bmsparsevec_util.h File Reference
`#include <memory.h>`
`#include <stdexcept>`
`#include "bmserial.h"`
`#include "bmdef.h"`
Include dependency graph for bmsparsevec_util.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

class | bm::bvps_addr_resolver< BV >
| Bit-bector prefix sum address resolver using bit-vector prefix sum as a space compactor. More...
class | bm::sv_addr_resolver< SV >
| sparse vector based address resolver (no space compactor, just bit-plane compressors provided by sparse_vector) More...
class | bm::compressed_collection< Value, BV >
| Compressed (sparse collection of objects). More...
class | bm::compressed_buffer_collection< BV >
| Compressed (sparse collection of objects). More...
struct | bm::compressed_buffer_collection< BV >::statistics
| collection statistics More...

## Namespaces

namespace | bm